{
  description = "Setup Scripts for Personal Environment on Various Operating Systems";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs?ref=6263d23ea4e04f86272325b113bee8133c09d50a";
    flake-utils.url = "github:numtide/flake-utils?ref=b1d9ab70662946ef0850d488da1c9019f3a9752a";
  };

  outputs = { self, flake-utils, nixpkgs }: (flake-utils.lib.eachDefaultSystem (
      system:
        let
          pkgs = import nixpkgs {
            inherit system;

            overlays = [
              (
                final: prev: {
                  archiso = prev.callPackage (import ./lib/packages/archiso.nix) { };
                })
            ];
          };
        in {
          devShells = {
            default = pkgs.mkShell {
              packages = with pkgs; [
                archiso
                cdrtools
                fish
                getopt
                git
                jq
                nix
                p7zip
                rsync
                unzip
                wimlib
              ];
            };
          };

          packages = {
            archiso = pkgs.archiso;
          };
        })) // {
    valhalla = {
      DerGeret = import ./profiles/machines/manuel/DerGeret/Arch/config.nix;
      ManuSurface = import ./profiles/machines/manuel/ManuSurface/Arch/config.nix;
      server = import ./profiles/machines/manuel/server.nix;
      Office = import ./profiles/machines/manuel/office.nix;
    };
  };
}
