{ pkgs, fetchFromGitLab, ... }:
pkgs.stdenv.mkDerivation (rec {
  pname = "archiso";
  version = "79";

  src = fetchFromGitLab {
    domain = "gitlab.archlinux.org";
    owner = "archlinux";
    repo = pname;
    rev = "v${version}";
    sha256 = "5YNzHz9QEK+0x7Qjd2ajyE6gV1gD1MyI0ojZnuafmaw=";
  };

  dontPatchShebangs = true;
  preInstall = "export PREFIX=$out";

  nativeBuildInputs = with pkgs; [
    docutils
    git
  ];

  propagatedBuildInputs = with pkgs; [
    arch-install-scripts
    dosfstools
    libisoburn
    mtools
    pacman
    squashfsTools
  ];
})
