{ lib, ... }: {
  imports = [ ../defaults.nix ];

  config = {
    valhalla = {
      hostname = lib.mkDefault "der-geret";
      linux.secureBoot = true;

      windows = {
        dualboot = {
          enable = true;
          linuxPercentage = 70; # better safe than sorry
        };

        hostname = "DerGeret";

        users.manuel = {
          microsoftAccount = true;
          groups = [ "Administrators" ];
          programs.ubiquiti-unifi-controller.enable = true;
        };

        programs = {
          lghub.enable = true;
        };
      };

      fileSystems.diskSetup.devices.OS.partitions = {
        # Keep Windows' boot partition
        Boot.keepExisting = true;

        Windows = {
          index = 6;
          label = "OS";
          format = "ntfs";
          mountPoint = "/win";
          mountOptions = [ "force" ];
          keepExisting = true;
        };
      };

      hardware = {
        components = [
          "ROG Zenith Extreme Alpha"
          "Predator Z301C"
          "Logitech G903"
        ];

        xoneReceiver = true;
        eyeX = true;
        amdCPU = true;
        nvidiaGPU = true;
        corsairDevice = true;
        elgatoWave = true;
      };
    };
  };
}
