{ lib, ... }: {
  imports = [
    ./defaults.nix
    ./Generic/Arch/config.nix
  ];

  config = {
    valhalla = {
      hostname = "falcon";
      hidpi = true;
      linux.secureBoot = true;

      windows = {
        dualboot = {
          enable = true;
          linuxPercentage = 70;
        };

        users.manuel = {
          groups = [ "Administrators" ];
        };
      };

      fileSystems.diskSetup.devices.OS.partitions = {
        # Keep Windows' boot partition
        Boot.keepExisting = true;

        Windows = {
          index = 6;
          label = "Windows";
          format = "ntfs";
          mountPoint = "/media/win";
          mountOptions = [ "force" ];
          keepExisting = true;
        };
      };
    };
  };
}
