{ ... }: {
  imports = [ ./config.nix ];

  config = {
    valhalla = {
      programs = {
        nextcloud.enable = true;
      };

      linux.programs = {
        rclone.enable = true;
      };

      linux.users.manuel.programs = {
        rclone = {
          configurations = {
            nextcloud = {
              dirName = "Nextcloud";
            };

            proton = {
              dirName = "Proton";
              cacheDuration = "2w";
            };
          };
        };
      };

      windows.users.manuel = {
        programs = {
          nextcloud = {
            folderSyncs =
              let
                localPath = "C:/tools/RetroArch-Win64";
                remotePath = "/Saved Games/RetroArch";
              in
              [
                {
                  remotePath = "${remotePath}/Saves";
                  localPath = "${localPath}/saves";
                  virtualFiles = false;
                }
                {
                  remotePath = "${remotePath}/System";
                  localPath = "${localPath}/system";
                }
              ];
          };
        };
      };
    };
  };
}
