#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../lib/dependencies.fish"

    function getDeploymentScript -V dir
        echo "$dir/../lib/deploy.fish"
    end

    function initialize -V dir
        source "$dir/../../lib/wait-network.fish"
        waitNetwork
        or exit

        and source "$dir/../lib/software.fish"
        and source "$dir/../Software/base-devel/main.fish"
        and source "$dir/../Software/pacman/main.fish"
        and source "$dir/../Software/yay/main.fish"

        and source "$dir/../Software/powershell/main.fish" --force

        and yayinst \
            linux-headers \
            pacman-contrib \
            go-yq
    end

    source "$dir/../../Common/OS/install.fish"
end
