#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../lib/software.fish"

    function runYay -d "Run yay with pre-configured defaults"
        if not isatty 0
            echo "stdin detected" 1>&2
            cat
        end | yay --needed --answerclean=None --answerdiff=None -Syu $argv
    end

    function yayinst -d "Install yay-package non-interactively"
        runYay --noconfirm $argv
    end

    function runPacman -d "Run pacman with pre-configured defaults"
        if not isatty 0
            echo "stdin detected" 1>&2
            cat
        end | sudo pacman --needed -Syu $argv
    end

    function pacinst -d "Install pacman-package non-interactively"
        runPacman --noconfirm $argv
    end
end
