<#
    .SYNOPSIS
    Gets a powershell expression which points to the global `aliae` configuration.
#>
function Get-GlobalConfigExpression {
    return "`"$($IsWindows ? "`$env:ProgramData" : "/etc")/aliae/aliae.yml`"";
}

<#
    .SYNOPSIS
    Gets the path to the global `aliae` configuration.
#>
function Get-GlobalConfigPath {
    return & ([scriptblock]::Create((Get-GlobalConfigExpression)));
}
