FROM nextcloud:fpm

# Workaround for Nextcloud image not including `bz2`
RUN apt-get update && \
    apt-get install -y \
        libbz2-dev \
        libfcgi-bin && \
    rm -rf /var/lib/apt/lists/* && \
    docker-php-ext-install bz2

RUN apt-get update && \
    curl -fsSL https://deb.nodesource.com/setup_lts.x | bash - && \
    apt-get install -y nodejs && \
    rm -rf /var/lib/apt/lists/*

RUN apt-get update && \
    apt-get install -y --no-install-recommends \
        libmagickcore-6.q16-6-extra \
        libxss1 \
        libx11-xcb1 \
        wget && \
    wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | apt-key add - && \
    sh -c 'echo "deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main" >> /etc/apt/sources.list.d/google.list' && \
    apt-get update && \
    apt-get install -y google-chrome-stable --no-install-recommends && \
    apt-get remove -y wget gnupg && \
    rm -rf /var/lib/apt/lists/* && \
    rm /etc/apt/sources.list.d/google.list

RUN curl -Lo /usr/local/bin/php-fpm-healthcheck https://raw.githubusercontent.com/renatomefi/php-fpm-healthcheck/v0.5.0/php-fpm-healthcheck && \
    chmod +x /usr/local/bin/php-fpm-healthcheck

RUN npm install --global pageres-cli --unsafe-perm
