#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../../lib/settings.fish"
    source "$dir/../../../lib/software.fish"

    function configureSW
        set -l efiDir (getOSConfig boot.efiMountPoint)

        sudo sed -i \
            -e "s/#\(GRUB_DISABLE_OS_PROBER\)/\1/" \
            /etc/default/grub

        sudo grub-install --target=x86_64-efi --efi-directory="$efiDir" --bootloader-id="$(getOSConfig boot.label)"
        sudo grub-mkconfig -o "$efiDir/grub/grub.cfg"
    end

    runInstaller $argv
end
