#!/bin/env fish
begin
    set -l dir (status dirname)
    set -l base "$dir/Main.ps1"
    source "$dir/../../../lib/software.fish"

    function configureSW -V dir -V base
        source "$dir/../bash/profile.fish"
        source "$dir/../fish/profile.fish"

        begin
            printf %s\n \
                'set -x POSH_THEME $POSH_THEME' \
                "oh-my-posh init fish | source" \
                "oh-my-posh completion fish | source"
        end | installFishProfile oh-my-posh

        begin
            printf %s\n \
                'eval "$(oh-my-posh init bash)"' \
                'eval "$(oh-my-posh completion bash)"'
        end | installBashProfile oh-my-posh

        sudo -HE pwsh "$base" Configure
    end

    function userConfig -S -V base
        runPSUserConfig "$base" $argv
    end

    runInstaller $argv
end
