& {
    . "$PSScriptRoot/../../lib/SoftwareManagement.ps1";
    . "$PSScriptRoot/../../../lib/Software.ps1";
    $softwarePath = "$PSScriptRoot/../../Software";

    $appScripts = @(
        "$softwarePath/tobii-ghost/Main.ps1",
        "$softwarePath/tobii-gamehub/Main.ps1"
    );

    Start-SoftwareInstaller -Force @args `
        -Installer {
            Install-SetupPackage -Source "https://files.update.tech.tobii.com/Tobii_Eye_Tracking_Core_v2.16.8.214_x86.exe";

            foreach ($script in $appScripts) {
                . $script -Action ([InstallerAction]::Install) @parameters;
            }
        } `
        -UserConfigurator {
            foreach ($script in $appScripts) {
                . $script -Action ([InstallerAction]::ConfigureUser) @parameters;
            }
        };
} @args;
