. "$PSScriptRoot/../../lib/SoftwareManagement.ps1";
. "$PSScriptRoot/../../../lib/Software.ps1";

Start-SoftwareInstaller @args `
    -Installer {
        Install-ChocoPackage MSEdgeRedirect;
    } `
    -Configurator {
        $configPath = "HKLM:\SOFTWARE\Robert Maehl Software\MSEdgeRedirect";

        [hashtable] $options = @{
            NoBing    = 1;
            NoImgs    = 1;
            NoNews    = 1;
            NoPDFs    = 1;
            Search    = "StartPage";
            Images    = "Custom";
            ImagePath = "https://startpage.com/sp/search?cat=images&query=";
            News      = "Google";
            PDFApp    = "C:\Program Files\Mozilla Firefox\firefox.exe";
        };

        foreach ($key in $options.Keys) {
            Set-ItemProperty $configPath -Name $key -Value ($options[$key]);
        }
    };
